GCLOUD_PREVIEW_APP_INSTANCES_DISABLE-DEBUG(1)

NAME

gcloud preview app instances disable-debug - disables debug mode for an instance

SYNOPSIS

gcloud preview app instances disable-debug [INSTANCE] [--service SERVICE, -s SERVICE] [--version VERSION, -v VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
(PREVIEW) When not in debug mode, SSH will be disabled on the VMs. They will be included in the health checking pools. Note that any local changes to an instance will be **lost** and the instance restarted if debug mode is disabled on the instance.

POSITIONAL ARGUMENTS
[INSTANCE]
    The instance ID to disable debug mode on. If not specified, select instance interactively. Must uniquely specify (with other flags) exactly one instance

FLAGS
--service SERVICE, -s SERVICE
    If specified, only match instances belonging to the given service. This affects both interactive and non-interactive selection.
--version VERSION, -v VERSION
    If specified, only match instances belonging to the given version. This affects both interactive and non-interactive selection.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To disable debug mode for a particular instance, run:
    $ gcloud preview app instances disable-debug --service=service \
      --version=version gae-default-v1-nwz0
To disable debug mode for an instance chosen interactively, run:
    $ gcloud preview app instances disable-debug

NOTES
This command is currently in DEVELOPER PREVIEW and may change without notice.